aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDan Timoney <dtimoney@att.com>2020-10-07 13:02:25 -0400
committerDan Timoney <dtimoney@att.com>2020-10-07 14:47:39 -0400
commitfc20c489c11e028a58b3bf8d5cc2797b07d6e30b (patch)
tree26ebafd7da294e7f2f894c1cfd10dfb6749f5d6c
parentf8d7ed15b97448d95fa0479c55fd5ca165916070 (diff)
Fix start script issues
Fix issues in start script Change-Id: I9f78611d97021c27496c424930f8f0bca83a427c Issue-ID: SDNC-1371 Signed-off-by: Dan Timoney <dtimoney@att.com> Former-commit-id: 3a065cf8af83c3cadbe67fd475a446fb8a56ee70
-rwxr-xr-xinstallation/sdnc/src/main/scripts/addA1TrustStore.sh2
-rwxr-xr-xinstallation/sdnc/src/main/scripts/startODL.sh14
2 files changed, 9 insertions, 7 deletions
diff --git a/installation/sdnc/src/main/scripts/addA1TrustStore.sh b/installation/sdnc/src/main/scripts/addA1TrustStore.sh
index 4e3fcab6..3528ddf3 100755
--- a/installation/sdnc/src/main/scripts/addA1TrustStore.sh
+++ b/installation/sdnc/src/main/scripts/addA1TrustStore.sh
@@ -22,7 +22,7 @@ SDNC_STORE_DIR=${SDNC_STORE_DIR:-/opt/onap/sdnc/data/stores}
A1_TRUSTSTORE=${SDNC_STORE_DIR}/truststore.a1.adapter.jks
ONAP_TRUSTSTORE=${SDNC_STORE_DIR}/truststoreONAPall.jks
-if [ -f ${A1_TRUST_STORE} ]
+if [ -f ${A1_TRUSTSTORE} -a "${A1_TRUSTSTORE_PASSWORD}" != "" ]
then
keytool -importkeystore -srckeystore ${A1_TRUSTSTORE} -srcstorepass ${A1_TRUSTSTORE_PASSWORD} -destkeystore ${ONAP_TRUSTSTORE} -deststorepass changeit
fi
diff --git a/installation/sdnc/src/main/scripts/startODL.sh b/installation/sdnc/src/main/scripts/startODL.sh
index 7329f4e8..90aa8076 100755
--- a/installation/sdnc/src/main/scripts/startODL.sh
+++ b/installation/sdnc/src/main/scripts/startODL.sh
@@ -282,6 +282,7 @@ echo " MY_ODL_CLUSTER=$MY_ODL_CLUSTER"
echo " PEER_ODL_CLUSTER=$PEER_ODL_CLUSTER"
echo " SDNR_NORTHBOUND=$SDNR_NORTHBOUND"
echo " AAF_ENABLED=$SDNC_AAF_ENABLED"
+echo " OOM_ENABLED=$OOM_ENABLED"
if $SDNC_AAF_ENABLED; then
export SDNC_AAF_STORE_DIR=/opt/app/osaaf/local
@@ -311,7 +312,7 @@ if $SDNRINIT ; then
fi
fi
-if $OOM_ENABLED; then
+if ! $OOM_ENABLED; then
#
# Wait for database
#
@@ -331,16 +332,12 @@ fi
if [ ! -f ${SDNC_HOME}/.installed ]
then
- if $OOM_ENABLED; then
+ if ! $OOM_ENABLED; then
# for integration testing. In OOM, a separate job takes care of installing it.
if $SDNC_DB_INIT; then
echo "Installing SDN-C database"
${SDNC_HOME}/bin/installSdncDb.sh
fi
- echo "Installing SDN-C keyStore"
- ${SDNC_HOME}/bin/addSdncKeyStore.sh
- echo "Installing A1-adapter trustStore"
- ${SDNC_HOME}/bin/addA1TrustStore.sh
#${CCSDK_HOME}/bin/installOdlHostKey.sh
@@ -351,6 +348,11 @@ then
fi
fi
+ echo "Installing SDN-C keyStore"
+ ${SDNC_HOME}/bin/addSdncKeyStore.sh
+ echo "Installing A1-adapter trustStore"
+ ${SDNC_HOME}/bin/addA1TrustStore.sh
+
if $ENABLE_ODL_CLUSTER ; then enable_odl_cluster ; fi
if $SDNRWT ; then install_sdnrwt_features ; fi